2019-08-24 00:24 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005235Spring engineGeneralpublic2016-05-16 09:55
ReporterGoogle_Frog 
Assigned Tohokomoko 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version101.0+git 
Target Version102.0Fixed in Version 
Summary0005235: 101.0.1-357 No Path Estimator consistency
DescriptionSpring immediately desyncs. Apparently everyone has distinct path checksums.
Additional Information[f=-000001] Warning: [DESYNC WARNING] path-checksum 14689b1c for spectator 3 (Aquanim) does not match local checksum 534db95b; stale PathEstimator-cache?
[f=-000001] > SnuggleBass has left the room
[f=-000001] Connection attempt from SnuggleBass
[f=-000001] -> Version: 101.0.1-357-g352b018 develop
[f=-000001] -> Connection established (given id 2)
[f=-000001] Warning: [DESYNC WARNING] path-checksum ec660e56 for spectator 1 (TLama) does not match local checksum 534db95b; stale PathEstimator-cache?
[f=-000001] [Game::ClientReadNet] added new player Chesti with number 8 to team 0
[f=-000001] > Chesti has left the room
[f=-000001] Warning: [DESYNC WARNING] path-checksum 69976e65 for player 2 (SnuggleBass) does not match local checksum 534db95b; stale PathEstimator-cache?
[f=-000001] Connection attempt from cleanrock
[f=-000001] -> Version: 101.0.1-357-g352b018 develop
[f=-000001] -> Connection established (given id 7)
[f=-000001] <GoogleFrog> Allies: I choose: Walky!
[f=-000001] Warning: [DESYNC WARNING] path-checksum dd72f60f for spectator 7 (cleanrock) does not match local checksum 534db95b; stale PathEstimator-cache?
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
has duplicate 0005238resolvedhokomoko 102-rc3 Immediate sync breakage without sync error warnings 
+Relationships

-Notes

~0016294

hokomoko (developer)

I need the generated caches and infologs from all players to debug this

~0016296

Google_Frog (reporter)

The last two files are mine. Are both needed?

~0016297

Google_Frog (reporter)

"engine desync log" is Aquanim's infolog.

~0016298

hokomoko (developer)

All are needed

~0016300

cleanrock (developer)

Attached my pe-files, I did not save infolog.
hokomoko,
I suggest when you release a RC try to organize test games with #sy and game channels, I am sure a bunch of people will join if you ask.
Btw,
This test game was a bit borked since there were no linux builds available for 357 with pr-downloader, i ran my locally built 357.

~0016301

hokomoko (developer)

> I suggest when you release a RC try to organize test games with #sy and game channels
That's exactly what I did.

~0016303

hokomoko (developer)

Fix 9ba9e971a6e77f263ab9f9ed5a34052edb4b4d5d committed to develop branch: Fix 0005235

revert thread unsafe changes in IsBlockedNoSpeedModCheck., repo: spring changeset id: 7069
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2016-05-15 11:51 Google_Frog New Issue
2016-05-15 11:51 Google_Frog File Added: infolog.txt
2016-05-15 11:55 hokomoko Note Added: 0016294
2016-05-15 11:55 hokomoko Assigned To => hokomoko
2016-05-15 11:55 hokomoko Status new => feedback
2016-05-15 12:46 abma Severity block => crash
2016-05-15 12:46 abma Target Version => 102.0
2016-05-15 13:05 Google_Frog File Added: Badlands873050539.pe.zip
2016-05-15 13:06 Google_Frog File Added: Badlands873050542.pe.zip
2016-05-15 13:06 Google_Frog File Added: Badlands873050566.pe2.zip
2016-05-15 13:06 Google_Frog Note Added: 0016296
2016-05-15 13:06 Google_Frog Status feedback => assigned
2016-05-15 14:32 Google_Frog File Added: engine desync log.txt
2016-05-15 14:32 Google_Frog Note Added: 0016297
2016-05-15 14:50 hokomoko Note Added: 0016298
2016-05-15 15:36 cleanrock File Added: cleanrock_pe.7z
2016-05-15 15:43 cleanrock Note Added: 0016300
2016-05-15 15:48 hokomoko Note Added: 0016301
2016-05-15 22:06 hokomoko Changeset attached => spring develop 9ba9e971
2016-05-15 22:06 hokomoko Note Added: 0016303
2016-05-15 22:06 hokomoko Status assigned => resolved
2016-05-15 22:06 hokomoko Resolution open => fixed
2016-05-16 09:55 hokomoko Relationship added has duplicate 0005238
+Issue History